

@interface MyClass ()
@property BOOL completed;
@property NetworkOperation networkOperation;
@end


@implementation MyClass


-(void)startNetworkOperation
{
    self.networkOperation = ...;

    self.networkOperation.completionBlock = ^
    {
        _completed = YES;
    };
    
}


-(void)startNetworkOperation
{
    self.networkOperation = ...;

    self.networkOperation.completionBlock = ^
    {
        self.completed = YES;
    };
    
}


-(void)startNetworkOperation
{
    self.networkOperation = ...;

    self.networkOperation.completionBlock = ^
    {
        [self setCompleted:YES];
    };
    
}

-(void)startNetworkOperation
{
    self.networkOperation = ...;

    __weak id blockSelf = self;
    self.networkOperation.completionBlock = ^
    {
        id strongSelf = blockSelf;
        if(strongSelf)
            [strongSelf setCompleted:YES];
    };
    
}


-(void)startNetworkOperation
{
    self.networkOperation = ...;

    __weak id blockSelf = self;
    self.networkOperation.completionBlock = ^
    {
        id strongSelf = blockSelf;
        if(strongSelf)
            strongSelf.completed = YES;
    };
    
}

@end

