//
//  Foo.m
//  Lesson 3.2
//
//  Created by Jiva DeVoe on 12/3/12.
//  Copyright (c) 2012 Random Ideas. All rights reserved.
//

#import "Foo.h"

@implementation Foo
-(id)init
{
	if((self = [super init]))
	{
        self.bar = [Bar new];
        [self.bar addObserver:self forKeyPath:@"stringOnBar" options:NSKeyValueObservingOptionNew context:nil];
	}
	return self;
}

-(void)dealloc
{
    [self.bar removeObserver:self forKeyPath:@"stringOnBar"];
}

-(void)observeValueForKeyPath:(NSString *)keyPath ofObject:(id)object change:(NSDictionary *)change context:(void *)context
{
    if(object == self.bar)
    {
        if([keyPath isEqualToString:@"stringOnBar"])
            NSLog(@"String on bar got changed!");
    }
}

@end
