//
//  Serialization.m
//  Lesson 3.2
//
//  Created by Jiva DeVoe on 12/3/12.
//  Copyright (c) 2012 Random Ideas. All rights reserved.
//


// The hard way...

-(BOOL)serializeToTable:(Table *)inTable
{
    Row *row = [inTable addRow];
    for(Column *column in row)
    {
        if([[column name] isEqualToString:@"firstName"])
            [column setValue:[self firstName]];
        else if([[column name] isEqualToString:@"lastName"])
            [column setValue:[self lastName]];
        else if([[column name] isEqualToString:@"age"])
            [column setValue:[self lastName]];
        else if([[column name] isEqualToString:@"birthDate"])
            [column setValue:[self lastName]];
        ...
    }
    [row save];
}

// The easy way!

-(BOOL)serializeToTable:(Table *)inTable
{
    Row *row = [inTable addRow];
    for(Column *column in row)
    {
        [column setValue:[self valueForKey:[column name]]];
    }
    [row save];
}










