//
//  MyClass.m
//  Lesson 6.1
//
//  Created by Jiva DeVoe on 12/4/12.
//  Copyright (c) 2012 Random Ideas. All rights reserved.
//

#import "MyClass.h"

@interface MyClass ()
@property SomeClass *memberVariable;
@property SomeOtherClass *anotherVariable;
@property NSArray *someMemberArray;
@property int aNumber;
@end


@implementation MyClass

-(void)encodeWithCoder:(NSCoder *)inCoder
{
    if([inCoder allowsKeyedCoding])
    {
        [inCoder encodeObject:_memberVariable forKey:@"memberVariable"];
        [inCoder encodeObject:_anotherVariable forKey:@"anotherVariable"];
        [inCoder encodeObject:_someMemberArray forKey:@"someMemberArray"];
        [inCoder encodeInt:_aNumber forKey:@"aNumber"]
    }
    else
    {
        [inCoder encodeObject:_memberVariable];
        [inCoder encodeObject:_anotherVariable];
        [inCoder encodeObject:_someMemberArray];
        [inCoder encodeInt:_aNumber];
    }
}

-(id)initWithCoder:(NSCoder *)inCoder
{
    if((self = [super init]))
    {
        if([inCoder allowsKeyedCoding])
        {
            _memberVariable = [inCoder decodeObjectForKey:@"memberVariable"];
            _anotherVariable = [inCoder decodeObjectForKey:@"anotherVariable"];
            _someMemberArray = [inCoder decodeObjectForKey:@"someMemberArray"];
            _aNumber = [inCoder decodeIntForKey:@"aNumber"];
        }
        else
        {
            _memberVariable = [inCoder decodeObject];
            _anotherVariable = [inCoder decodeObject];
            _someMemberArray = [inCoder decodeObject];
            _aNumber = [inCoder decodeIntForKey:@"aNumber"];
        }
    }
    return self;
}

@end











