void mutateMe(void (^mutator)())
{
    mutator();
}

int main(int argc,char *argv)
{
    @autoreleasepool
    {
        __block NSString *result = @"foo";
        
        void (^mutator)() = ^
        {
            result = @"bar";
        };        
        
        NSLog(@"%@", result);
        mutateMe(mutator);
        NSLog(@"%@", result);
    }

    return 0;
}