//
//  main.m
//  Lesson 2.1
//
//  Created by Jiva DeVoe on 12/4/12.
//  Copyright (c) 2012 Random Ideas. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface NSString (Guid)
+(id)stringWithGuid;
@end

@implementation NSString (Guid)
+(id)stringWithGuid
{
    CFUUIDRef uuid = CFUUIDCreate(kCFAllocatorDefault);
    NSString* str = (__bridge_transfer NSString*)CFUUIDCreateString(kCFAllocatorDefault, uuid);
    CFRelease(uuid);
    return str;
}
@end


int main(int argc, char *argv[])
{
    @autoreleasepool
    {
        NSString *guid = [NSString stringWithGuid];
        NSLog(@"%@", guid);
    }
    return 0;
}