//
//  GUIDCategory.mm
//  TT2
//
//  Created by Jiva DeVoe on 3/1/05.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import "NSString+Guid.h"

@implementation NSString (Guid)
+(NSString*)stringWithUUID
{
    CFUUIDRef uuid = CFUUIDCreate(kCFAllocatorDefault);
    NSString* str = (__bridge_transfer NSString*)CFUUIDCreateString(kCFAllocatorDefault, uuid);
    CFRelease(uuid);
    return str;
}

+(NSString *)privateId;
{
    static unsigned long lastId = 0;
	NSString *ret = [NSString stringWithFormat:@"%ld", lastId++];
	return ret;
}
@end
