//
//  Foo.m
//  Lesson 3.4
//
//  Created by Jiva DeVoe on 12/3/12.
//  Copyright (c) 2012 Random Ideas. All rights reserved.
//

#import "Foo.h"

@implementation Foo
@dynamic age;

+(NSSet *)keyPathsForValuesAffectingValueForKey:(NSString *)key
{
    NSSet *keyPaths = [super keyPathsForValuesAffectingValueForKey:key];
    
    if ([key isEqualToString:@"age"])
    {
        NSArray *affectingKeys = @[@"birthDate"];
        keyPaths = [keyPaths setByAddingObjectsFromArray:affectingKeys];
    }
    return keyPaths;
}


+(BOOL)automaticallyNotifiesObserversForKey:(NSString *)inKey;
{
    if([inKey isEqualToString:@"birthDate"])
        return NO;
    return YES;
}

-(void)setBirthDate:(NSDate *)birthDate
{
    [self willChangeValueForKey:@"birthDate"];
    _birthDate = birthDate;
    [self didChangeValueForKey:@"birthDate"];
}

-(NSInteger)age
{
    return [self.birthDate timeIntervalSinceNow];
}

@end








