//
//  MySingleton.m
//  Lesson 5.3
//
//  Created by Jiva DeVoe on 12/4/12.
//  Copyright (c) 2012 Random Ideas. All rights reserved.
//

#import "MySingleton.h"

@implementation MySingleton

+(id)globalInstance
{
    static dispatch_once_t once;
    static id sharedInstance;
    dispatch_once(&once, ^
    {
        sharedInstance = [[self alloc] init];
    });
    return sharedInstance;
}

@end
