//
//  NetworkController.m
//  Lesson 5.4
//
//  Created by Jiva DeVoe on 12/4/12.
//  Copyright (c) 2012 Random Ideas. All rights reserved.
//

#import "NetworkController.h"

@implementation NetworkController

-(id)init
{
	if((self = [super init]))
	{
        [[NSNotificationCenter defaultCenter] addObserver:self selector:@selector(networkCommandCompleted:) name:NETWORK_OPERATION_COMPLETED object:nil];
	}
	return self;
}

-(void)dealloc
{
    [[NSNotificationCenter defaultCenter] removeObserver:self];
}

-(void)networkCommandCompleted:(NSNotification *)note
{
    NSLog(@"The command completed!");
}

@end
