//
//  main.m
//  Lesson 6.1
//
//  Created by Jiva DeVoe on 12/4/12.
//  Copyright (c) 2012 Random Ideas. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "MyClass.h"

int main(int argc, const char * argv[])
{
    @autoreleasepool
    {
        NSDictionary *dict = @{ @"key" : @"value" };
        NSArray *array = @[ @"one", @"two", @"three"];
        
        NSData *jsonDictionaryData = [NSJSONSerialization dataWithJSONObject:dict options:NSJSONWritingPrettyPrinted error:nil];
        NSData *jsonArrayData = [NSJSONSerialization dataWithJSONObject:array options:NSJSONWritingPrettyPrinted error:nil];
        
        NSLog(@"%@", [[NSString alloc] initWithData:jsonDictionaryData encoding:NSUTF8StringEncoding]);
        NSLog(@"%@", [[NSString alloc] initWithData:jsonArrayData encoding:NSUTF8StringEncoding]);
        
        NSDictionary *decodedDict = [NSJSONSerialization JSONObjectWithData:jsonDictionaryData options:0 error:nil];
        NSArray *decodedArray = [NSJSONSerialization JSONObjectWithData:jsonArrayData options:0 error:nil];
        
        assert([dict isEqual:decodedDict]);
        assert([array isEqual:decodedArray]);
    
    }
    return 0;
}

