//
//  main.m
//  Lesson4a
//
//  Created by Jiva DeVoe on 12/3/12.
//  Copyright (c) 2012 Random Ideas. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "PrimeFinder.h"

#define WAIT_UNTIL(condition, maxWait) \
{ int WAIT_UNTIL_N = 0; \
while(!(condition) && (WAIT_UNTIL_N < maxWait) ) \
{ WAIT_UNTIL_N++; [[NSRunLoop currentRunLoop] runUntilDate:[NSDate dateWithTimeIntervalSinceNow:1]]; } }

int main(int argc, const char * argv[])
{
    @autoreleasepool
    {
        NSLog(@"Finding primes...");
        PrimeFinder *finder = [[PrimeFinder alloc] initWithMaxNumber:250000];
        [finder start];
        WAIT_UNTIL([finder finished], 120);
        NSLog(@"Found all the primes in %fs", [finder elapsedTime]);
    }
    return 0;
}

